#!/usr/bin/python3

import psutil
import requests
import json
import os

appdir=os.path.dirname(os.path.realpath(__file__))

f=open(appdir+"/"+"client.config", "r")
if f.mode != 'r':
        exit()
buff=f.read()


config=json.loads(buff)
url=config['url']
id=config['id']
secret=config['secret']

data={}

data['id']=id

cpu={}
cpu['count']=psutil.cpu_count()
cpu['load']=psutil.cpu_percent(interval=1,percpu=True)

data['cpu']=cpu

memory={}
mem=psutil.virtual_memory()
memory['total']=mem.total;
memory['available']=mem.available;

data['memory']=memory



swp=psutil.swap_memory()

swap={}
swap['total']=swp.total;
swap['available']=swp.free;

data['swap']=swap


partitions=psutil.disk_partitions()

#print partitions
disks=[]
for part in partitions:
	disk={}
	disk['mountpoint']=part.mountpoint
	du=psutil.disk_usage(part.mountpoint)
	disk['total']=du.total
	disk['available']=du.free
	disks.append(disk)
data['disks']=disks


headers = {'content-type': 'application/json'}
r = requests.post(url, {'data':json.dumps(data), 'secret':secret})

#print r.content
